iob_addfile(3)

NAME
iob_addfile - add file region to I/O batch

SYNTAX
#include <libowfat/iob.h> int iob_addfile(io_batch* b,int64 fd,uint64 off,uint64 n);

DESCRIPTION
iob_addfile schedules n bytes from the file descriptor fd starting at offset off to be written with the I/O batch b. You may not close fd before iob_send indicates it is done. Use iob_addfile_close if you want the file descriptor to be closed automatically by iob_reset.

RETURN VALUE
Returns 1 on success, 0 on failure.

SEE ALSO
iob_reset(3), iob_send(3), iob_addbuf(3), iob_addfile_close(3)